org.klomp.snark

## Class SnarkManager.SnarkManagerShutdown

- java.lang.Object
- - java.lang.Thread
  - - net.i2p.util.I2PThread
    - - net.i2p.util.I2PAppThread
      - - org.klomp.snark.SnarkManager.SnarkManagerShutdown

All Implemented Interfaces:
  Runnable

Enclosing class:
  SnarkManager

    public class SnarkManager.SnarkManagerShutdown
    extends I2PAppThread

### Nested Class Summary

### Nested classes/interfaces inherited from class net.i2p.util.I2PThread

`I2PThread.OOMEventListener`

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`SnarkManager.SnarkManagerShutdown()`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class net.i2p.util.I2PAppThread

`addOOMEventThreadListener, fireOOM, removeOOMEventThreadListener`

### Methods inherited from class net.i2p.util.I2PThread

`addOOMEventListener, finalize, main, removeOOMEventListener`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SnarkManager.SnarkManagerShutdown

    public SnarkManager.SnarkManagerShutdown()

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `I2PThread`